uk.gov.hmrc.zap.config

# ZapConfiguration

###
Related Doc: package config

#### class ZapConfiguration extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZapConfiguration
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ZapConfiguration(userConfig: Config)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def activeScan: Boolean

5. #### def additionalScanners: Set[String]

6. #### def alertUrlsToReport: List[String]

7. #### def alertsToIgnore: List[Config]

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def connectionTimeout: Int

11. #### def contextBaseUrlRegex: String

12. #### def customRiskConf: List[Config]

13. #### def debugHealthCheck: Boolean

14. #### def debugTearDown: Boolean

15. #### def defaultScanners: Set[String]

16. #### def desiredTechnologyNames: String

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def failureThreshold: String

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def ignoreOptimizelyAlerts: Boolean

24. #### def ignoreScanners: Set[String]

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def patienceConfigInterval: Int

30. #### def patienceConfigTimeout: Int

31. #### def routeToBeIgnoredFromContext: String

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def testUrl: String

34. #### def testingAnApi: Boolean

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def zapBaseUrl: String

40. #### lazy val zapConfig: Config

### Inherited from AnyRef

### Inherited from Any

### Ungrouped